package com.yihu.hos.rest.common.dao;


import com.yihu.hos.core.datatype.StringUtil;
import com.yihu.hos.rest.models.rs.RsDatapushLog;
import com.yihu.hos.web.framework.constrant.DateConvert;
import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import com.yihu.hos.web.framework.model.DataGridResult;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Map;

/**
 * Created by hzp on 2016/1/11.
 */
@Repository("DatacollectLogDao")
public class DatacollectLogDao extends SQLGeneralDAO {


    /******************************** 推模式日志 ***************************************/
    /**
     * 推数据新增日志
     */
    public void addDataPushLog(String type,String success,String content) throws Exception
    {
        RsDatapushLog log = new RsDatapushLog();
        log.setType(type);
        log.setSuccess(success);
        log.setContent(content);
        log.setDatetime(new Date());
        this.saveEntity(log);
    }
}
